%global build_opts -Doffline=true -Divy.mode=local -Divysettings.xml=/etc/ivy/ivysettings.xml -Divy.revision=%{version}
Name:          jxr-ant
Version:       2.1.0
Release:       1%{?dist}
Summary:       Ant task for Maven JXR
License:       ASL 2.0
URL:           http://github.com/mattbertolini/JXR-Ant
Source0:       https://github.com/mattbertolini/JXR-Ant/archive/v%{version}.tar.gz.1

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: ivy-local
BuildRequires: mvn(ant-contrib:ant-contrib)
BuildRequires: mvn(cglib:cglib)
BuildRequires: mvn(com.google.code.findbugs:findbugs)
BuildRequires: mvn(com.google.code.findbugs:findbugs-ant)
BuildRequires: mvn(commons-collections:commons-collections)
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(commons-lang:commons-lang)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.ant:ant-antunit)
BuildRequires: mvn(org.apache.maven:maven-jxr)
BuildRequires: mvn(org.apache.velocity:velocity)
BuildRequires: mvn(org.bouncycastle:bcpg-jdk15on)
BuildRequires: mvn(org.codehaus.plexus:plexus-utils)
BuildRequires: mvn(org.hamcrest:hamcrest-core)
BuildRequires: mvn(org.jacoco:org.jacoco.ant)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(org.objenesis:objenesis)
BuildRequires: mvn(org.ow2.asm:asm)
BuildRequires: mvn(oro:oro)

BuildArch:     noarch

%description
Creates an html-based, cross referenced version of Java source code
for a project. Based on the JXR Maven plugin.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n JXR-Ant-%{version}
find . -name "*.jar" -print -delete
find . -name "*.class" -print -delete

# Unavailable test dep nl.jqno.equalsverifier:equalsverifier:1.5
sed -i '/equalsverifier/d' ivy.xml
sed -i '/EqualsVerifier/d' src/test/java/com/mattbertolini/jxr/ant/AntTaskLogTest.java

mkdir -p lib/{build,default,findbugs,provided,test}
build-jar-repository -s -p lib/build apache-ivy/ivy ant-contrib/ant-contrib bcpg jacoco/org.jacoco.ant
build-jar-repository -s -p lib/default ant maven-jxr/maven-jxr velocity commons-collections commons-io plexus/utils
build-jar-repository -s -p lib/findbugs ant/ant-findbugs findbugs
build-jar-repository -s -p lib/test junit mockito/mockito-core ant/ant-antunit hamcrest/core cglib objenesis/objenesis objectweb-asm/asm plexus/utils commons-lang velocity jakarta-oro commons-collections commons-io

%mvn_file com.mattbertolini:%{name} %{name}

%build

ant %build_opts make-jar make-pom compile-javadoc compile-xref-doc

%install
%mvn_artifact dist/%{name}-%{version}.pom dist/%{name}-%{version}.jar 
%mvn_install -J build/javadoc

%check
ant %build_opts run-unit-tests

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Tue Apr 05 2016 gil cattaneo <puntogil@libero.it> 2.1.0-1
- initial rpm
